<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="FangPage.BBS.thread" %>
<%@ Import namespace="FangPage.Common" %>
<%@ Import namespace="FangPage.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
	    本页面代码由方配BMS模板引擎(V5.2.26.15)生成于 2012/2/16 10:21:57. 
	*/

	base.OnInit(e);
	templateBuilder.Append("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\" \"http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " - Powered by FangPage</title>\r\n");
	templateBuilder.Append("<meta http-equiv=Content-Type content=\"text/html; charset=utf-8\">\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/style/bbs.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<!--css-->\r\n");
	templateBuilder.Append("<style type=text/css>\r\n");
	templateBuilder.Append("BODY {\r\n");
	templateBuilder.Append("	FONT-SIZE: 12px;\r\n");
	templateBuilder.Append("	BACKGROUND: #fff;\r\n");
	templateBuilder.Append("	COLOR: #333;\r\n");
	templateBuilder.Append("	FONT-FAMILY: Tahoma\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H1 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H2 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H3 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H4 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H5 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H6 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("FORM {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("BODY {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TD {\r\n");
	templateBuilder.Append("	WORD-BREAK: break-all;\r\n");
	templateBuilder.Append("	WORD-WRAP: break-word\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TH {\r\n");
	templateBuilder.Append("	WORD-BREAK: break-all;\r\n");
	templateBuilder.Append("	WORD-WRAP: break-word\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("DIV {\r\n");
	templateBuilder.Append("	WORD-BREAK: break-all;\r\n");
	templateBuilder.Append("	WORD-WRAP: break-word\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TABLE {\r\n");
	templateBuilder.Append("	empty-cells: show\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("IMG {\r\n");
	templateBuilder.Append("	BORDER-TOP-WIDTH: 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT-WIDTH: 0px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM-WIDTH: 0px;\r\n");
	templateBuilder.Append("	BORDER-RIGHT-WIDTH: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H1 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 16px;\r\n");
	templateBuilder.Append("	MARGIN: 0.5em 1em 1em 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H3 {\r\n");
	templateBuilder.Append("	DISPLAY: inline;\r\n");
	templateBuilder.Append("	FONT-SIZE: 1em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H2 {\r\n");
	templateBuilder.Append("	DISPLAY: inline;\r\n");
	templateBuilder.Append("	FONT-SIZE: 1em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H3 {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H2 A {\r\n");
	templateBuilder.Append("	COLOR: #000\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H3 A {\r\n");
	templateBuilder.Append("	COLOR: #333\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("H4 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 1.1em;\r\n");
	templateBuilder.Append("	MARGIN: 20px 0px 10px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TEXTAREA {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("INPUT {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("SELECT {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".c {\r\n");
	templateBuilder.Append("	CLEAR: both;\r\n");
	templateBuilder.Append("	FONT: 0px/0px Arial;\r\n");
	templateBuilder.Append("	HEIGHT: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".b {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: bold\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".w {\r\n");
	templateBuilder.Append("	WHITE-SPACE: nowrap\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tal {\r\n");
	templateBuilder.Append("	TEXT-ALIGN: left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tac {\r\n");
	templateBuilder.Append("	TEXT-ALIGN: center\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tar {\r\n");
	templateBuilder.Append("	TEXT-ALIGN: right\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fr {\r\n");
	templateBuilder.Append("	FLOAT: right\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fl {\r\n");
	templateBuilder.Append("	FLOAT: left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("A {\r\n");
	templateBuilder.Append("	COLOR: #2b76b0;\r\n");
	templateBuilder.Append("	TEXT-DECORATION: none\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("A:hover {\r\n");
	templateBuilder.Append("	TEXT-DECORATION: underline;\r\n");
	templateBuilder.Append("	color:#F00;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".abtn {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 8px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 8px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 2px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	CURSOR: pointer;\r\n");
	templateBuilder.Append("	COLOR: #2b76b0;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	FONT-FAMILY: simsun\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f9 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 11px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f10 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 11px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f12 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 12px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f14 {\r\n");
	templateBuilder.Append("	FONT-SIZE: 14px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fn {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".fn A {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s0 {\r\n");
	templateBuilder.Append("	COLOR: #333\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s1 {\r\n");
	templateBuilder.Append("	COLOR: #008000\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s2 {\r\n");
	templateBuilder.Append("	COLOR: #984b98\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s3 {\r\n");
	templateBuilder.Append("	COLOR: #fa891b\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s4 {\r\n");
	templateBuilder.Append("	COLOR: #0033ff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".s5 {\r\n");
	templateBuilder.Append("	COLOR: #659b28\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".gray {\r\n");
	templateBuilder.Append("	COLOR: #818a89\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f_one {\r\n");
	templateBuilder.Append("	BACKGROUND: #ffffff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t_one {\r\n");
	templateBuilder.Append("	BACKGROUND: #ffffff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".r_one {\r\n");
	templateBuilder.Append("	BACKGROUND: #ffffff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".f_two {\r\n");
	templateBuilder.Append("	BACKGROUND: #f4fbff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t_two {\r\n");
	templateBuilder.Append("	BACKGROUND: #f4fbff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".r_two {\r\n");
	templateBuilder.Append("	BACKGROUND: #f4fbff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TEXTAREA {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("INPUT {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("SELECT {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 3px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 3px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	FONT: 12px Arial;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("SELECT {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".btn {\r\n");
	templateBuilder.Append("	BORDER-TOP-WIDTH: 1px;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 15px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 15px;\r\n");
	templateBuilder.Append("	BORDER-LEFT-WIDTH: 1px;\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/h.gif) #fff repeat-x 0px bottom;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM-WIDTH: 1px;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	BORDER-RIGHT-WIDTH: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".input {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 1px;\r\n");
	templateBuilder.Append("	FONT-SIZE: 1em;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 2px;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #76bac2 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("FORM {\r\n");
	templateBuilder.Append("	DISPLAY: inline\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TEXTAREA {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #76bac2 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#header {\r\n");
	templateBuilder.Append("	MARGIN: auto;\r\n");
	templateBuilder.Append("	WIDTH: 956px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".toptool {\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/guide.gif) #f7f7f7 repeat-x 0px bottom;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".toptool SPAN {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 5px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 5px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	LINE-HEIGHT: 180%;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#infobox {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	MARGIN-TOP: -0.6em;\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/infobox.gif) #e1f6f9 repeat-x 0px 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#profile-menubar {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	MARGIN-TOP: -0.6em;\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/infobox.gif) #e1f6f9 repeat-x 0px 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#notice {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px dashed;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0.3em;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0.3em;\r\n");
	templateBuilder.Append("	HEIGHT: 18px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#notice A {\r\n");
	templateBuilder.Append("	PADDING-LEFT: 1em;\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/dotB.png) no-repeat 0px 0.1em;\r\n");
	templateBuilder.Append("	MARGIN-LEFT: 1em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".banner IMG {\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".guide {\r\n");
	templateBuilder.Append("	background:#F7F7F7 url(templates/fangpage/images/guide.gif) 0 bottom repeat-x;\r\n");
	templateBuilder.Append("	height:32px;\r\n");
	templateBuilder.Append("	border:1px solid #D5E5E8;\r\n");
	templateBuilder.Append("	color:#ccc;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("TD.guide {\r\n");
	templateBuilder.Append("	BORDER-TOP-WIDTH: 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT-WIDTH: 0px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-RIGHT-WIDTH: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	MARGIN: 0px auto 8px;\r\n");
	templateBuilder.Append("	OVERFLOW: hidden;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	HEIGHT: auto\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t TABLE {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	MARGIN: 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	WIDTH: 100%;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #ffffff 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t2 {\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	MARGIN: 0px auto 5px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t3 {\r\n");
	templateBuilder.Append("	MARGIN: auto\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t4 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 1px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0.5em;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0.5em;\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/h.gif) #ceecf0 repeat-x 0px 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	LINE-HEIGHT: 210%;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0.3em;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #aed6db 1px solid;\r\n");
	templateBuilder.Append("	TEXT-ALIGN: left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h SPAN {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h H2 {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: bold\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h A {\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	FONT-FAMILY: Arial\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h SPAN A {\r\n");
	templateBuilder.Append("	COLOR: #5495a0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h SPAN {\r\n");
	templateBuilder.Append("	COLOR: #5495a0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h A.a2 {\r\n");
	templateBuilder.Append("	MARGIN-LEFT: 12px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".closeicon {\r\n");
	templateBuilder.Append("	MARGIN-TOP: 0.5em\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tab {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0.8em;\r\n");
	templateBuilder.Append("	BORDER-TOP: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0.8em;\r\n");
	templateBuilder.Append("	BACKGROUND: #aed6db;\r\n");
	templateBuilder.Append("	FLOAT: left;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 2px 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #ffffff 1px solid;\r\n");
	templateBuilder.Append("	CURSOR: pointer;\r\n");
	templateBuilder.Append("	LINE-HEIGHT: 200%;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #ffffff 0px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".h SPAN.activetab {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: 700;\r\n");
	templateBuilder.Append("	BORDER-LEFT-COLOR: #76bac2;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM-COLOR: #76bac2;\r\n");
	templateBuilder.Append("	CURSOR: default;\r\n");
	templateBuilder.Append("	BORDER-TOP-COLOR: #76bac2;\r\n");
	templateBuilder.Append("	BORDER-RIGHT-COLOR: #76bac2\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 TH {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 10px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 10px;\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 5px;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: top;\r\n");
	templateBuilder.Append("	PADDING-TOP: 5px;\r\n");
	templateBuilder.Append("	TEXT-ALIGN: left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 TD.td1 {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 {\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/tr2bg.png) #f7f7f7 repeat-x 0px 0px;\r\n");
	templateBuilder.Append("	COLOR: #afce50\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 TD {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 6px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 6px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	LINE-HEIGHT: 18px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #daddbf 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 TH {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 6px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 6px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	LINE-HEIGHT: 18px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #daddbf 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr2 A {\r\n");
	templateBuilder.Append("	MARGIN: 2px 2px 0px;\r\n");
	templateBuilder.Append("	COLOR: #afce50\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr3 TD {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0.6em;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0.6em;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0.3em;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0.3em;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr3 TH {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0.6em;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0.6em;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0.3em;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0.3em;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr3 TH {\r\n");
	templateBuilder.Append("	FONT-WEIGHT: normal;\r\n");
	templateBuilder.Append("	TEXT-ALIGN: left\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".z .tr3:hover {\r\n");
	templateBuilder.Append("	BACKGROUND: #f4fbff\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr4 {\r\n");
	templateBuilder.Append("	BACKGROUND: url(templates/fangpage/images/h.gif) #ceecf0 repeat-x 0px bottom;\r\n");
	templateBuilder.Append("	COLOR: #005368\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr4 TD {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 10px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 10px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 4px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 4px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr TD {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 2px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 2px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 2px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr TH {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 2px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 2px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 2px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 2px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tpc_content {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 2%;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0.5%;\r\n");
	templateBuilder.Append("	FONT-SIZE: 14px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 0px 0px 2%;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px;\r\n");
	templateBuilder.Append("	FONT-FAMILY: Arial\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tips {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 5px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 5px;\r\n");
	templateBuilder.Append("	BACKGROUND: #f4fbff;\r\n");
	templateBuilder.Append("	FLOAT: left;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 5px;\r\n");
	templateBuilder.Append("	MARGIN: 0px 1% 1% 0px;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-TOP: 5px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	TEXT-ALIGN: center\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tiptop {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tipad {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 10px 0px 0px;\r\n");
	templateBuilder.Append("	PADDING-TOP: 5px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".quote {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 0px;\r\n");
	templateBuilder.Append("	FONT-SIZE: 70%;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	MARGIN: 8px 2px 2px;\r\n");
	templateBuilder.Append("	WIDTH: 80%;\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".blockquote {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 5px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #d5e5e8 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 5px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 5px;\r\n");
	templateBuilder.Append("	MARGIN: 0px 0px 1%;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #d5e5e8 3px solid;\r\n");
	templateBuilder.Append("	WIDTH: 80%;\r\n");
	templateBuilder.Append("	COLOR: #81888c;\r\n");
	templateBuilder.Append("	PADDING-TOP: 5px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("/*menu*/\r\n");
	templateBuilder.Append(".menu {\r\n");
	templateBuilder.Append("	position:absolute;\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("	border:1px solid #76BAC2;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu td, .menu li, .menu ul {\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("	padding:0;\r\n");
	templateBuilder.Append("	margin:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu li {\r\n");
	templateBuilder.Append("	list-style:none;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu a {\r\n");
	templateBuilder.Append("	display:block;\r\n");
	templateBuilder.Append("	padding-left:8px;\r\n");
	templateBuilder.Append("	padding-top:8px;\r\n");
	templateBuilder.Append("	background:#fff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu a:hover {\r\n");
	templateBuilder.Append("	background:#2B76B0;\r\n");
	templateBuilder.Append("	text-decoration:none;\r\n");
	templateBuilder.Append("	color:#fff;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu ul.ul1 li a {\r\n");
	templateBuilder.Append("	display:inline;\r\n");
	templateBuilder.Append("	padding:0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages {\r\n");
	templateBuilder.Append("	MARGIN: 3px 0px;\r\n");
	templateBuilder.Append("	FONT: 11px/12px Tahoma\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages * {\r\n");
	templateBuilder.Append("	VERTICAL-ALIGN: middle\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages A {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 4px;\r\n");
	templateBuilder.Append("	BORDER-TOP: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 4px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	MARGIN: 0px 1px 0px 0px;\r\n");
	templateBuilder.Append("	FONT: 12px/14px verdana;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	PADDING-TOP: 1px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #76bac2 1px solid;\r\n");
	templateBuilder.Append("	TEXT-ALIGN: center;\r\n");
	templateBuilder.Append("	TEXT-DECORATION: none\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages A:hover {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #afce50 1px solid;\r\n");
	templateBuilder.Append("	BACKGROUND: #f7f7f7;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #afce50 1px solid;\r\n");
	templateBuilder.Append("	TEXT-DECORATION: none\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages span A{\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #afce50 1px solid;\r\n");
	templateBuilder.Append("	BACKGROUND: #f7f7f7;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	COLOR: #005368;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #afce50 1px solid;\r\n");
	templateBuilder.Append("	TEXT-DECORATION: none\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages INPUT {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	BORDER-TOP: #afce50 1px solid;\r\n");
	templateBuilder.Append("	PADDING-LEFT: 1px;\r\n");
	templateBuilder.Append("	MARGIN-BOTTOM: 0px;\r\n");
	templateBuilder.Append("	PADDING-BOTTOM: 1px;\r\n");
	templateBuilder.Append("	FONT: bold 12px/15px Verdana;\r\n");
	templateBuilder.Append("	BORDER-LEFT: #afce50 1px solid;\r\n");
	templateBuilder.Append("	COLOR: #afce50;\r\n");
	templateBuilder.Append("	MARGIN-RIGHT: 1px;\r\n");
	templateBuilder.Append("	BORDER-BOTTOM: #afce50 1px solid;\r\n");
	templateBuilder.Append("	HEIGHT: 15px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#footer {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	text-align:right;\r\n");
	templateBuilder.Append("	border-top:2px solid #AED6DB;\r\n");
	templateBuilder.Append("	margin:auto;\r\n");
	templateBuilder.Append("	padding:5px 0;\r\n");
	templateBuilder.Append("	border-bottom:#F7F7F7 12px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#main {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin: auto;\r\n");
	templateBuilder.Append("	padding:.8em 0 0\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("#wrapA {\r\n");
	templateBuilder.Append("	width:956px;\r\n");
	templateBuilder.Append("	margin: auto;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<!--css-->\r\n");
	templateBuilder.Append("<style type=text/css>\r\n");
	templateBuilder.Append(".tr3 TD {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr3 TH {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".y-style {\r\n");
	templateBuilder.Append("	TEXT-ALIGN: center\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 TH {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #d5e5e8 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 TD.td1 {\r\n");
	templateBuilder.Append("	BORDER-LEFT-WIDTH: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</style>\r\n");
	templateBuilder.Append("<!--[if IE]>\r\n");
	templateBuilder.Append("<STYLE type=text/css>.t TABLE {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #ffffff 1px solid; BORDER-TOP: #ffffff 1px solid; BORDER-LEFT: #ffffff 1px solid; BORDER-BOTTOM: #ffffff 1px solid\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</STYLE>\r\n");
	templateBuilder.Append("<![endif]-->\r\n");
	templateBuilder.Append("<!--[if IE]>\r\n");
	templateBuilder.Append("<STYLE type=text/css>.btn {\r\n");
	templateBuilder.Append("	BORDER-RIGHT: #76bac2 1px solid; PADDING-RIGHT: 0.15em; BORDER-TOP: #76bac2 1px solid; PADDING-LEFT: 0.15em; BORDER-LEFT: #76bac2 1px solid; BORDER-BOTTOM: #76bac2 1px solid; HEIGHT: 21px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".tr1 TD.td1 {\r\n");
	templateBuilder.Append("	BORDER-TOP-WIDTH: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t4 {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".pages A {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 4px; PADDING-LEFT: 4px; PADDING-BOTTOM: 2px; PADDING-TOP: 1px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t TABLE {\r\n");
	templateBuilder.Append("	BORDER-COLLAPSE: collapse\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".t {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 0px; PADDING-LEFT: 0px; PADDING-BOTTOM: 0px; PADDING-TOP: 0px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".menu A {\r\n");
	templateBuilder.Append("	HEIGHT: 18px\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append(".abtn {\r\n");
	templateBuilder.Append("	PADDING-RIGHT: 8px! important; PADDING-LEFT: 8px! important; PADDING-BOTTOM: 0px! important; PADDING-TOP: 3px! important\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</STYLE>\r\n");
	templateBuilder.Append("<![endif]-->\r\n");

	templateBuilder.Append("<link href=\"templates/fangpage/images/fangpage.ico\" type=image/x-icon rel=icon>\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/images/fangpage.ico\" type=image/x-icon rel=\"shortcut icon\">\r\n");
	templateBuilder.Append("<link href=\"templates/fangpage/style/menu.css\" type=\"text/css\" rel=\"stylesheet\">\r\n");
	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("var agt = navigator.userAgent.toLowerCase();\r\n");
	templateBuilder.Append("var is_ie = ((agt.indexOf(\"msie\") != -1) && (agt.indexOf(\"opera\") == -1));\r\n");
	templateBuilder.Append("var is_gecko= (navigator.product == \"Gecko\");\r\n");
	templateBuilder.Append("var imgpath = 'templates/fangpage/images/';\r\n");
	templateBuilder.Append("function getObj(id){\r\n");
	templateBuilder.Append("	return document.getElementById(id);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("function ietruebody(){\r\n");
	templateBuilder.Append("	return (document.compatMode && document.compatMode!='BackCompat')? document.documentElement : document.body;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("function IsElement(id){\r\n");
	templateBuilder.Append("	return document.getElementById(id)!=null ? true : false;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	templateBuilder.Append("<script src=\"templates/fangpage/js/dropdowntabs.js\" type=\"text/javascript\"></" + "script>\r\n");


	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("function Fjump(value) {\r\n");
	templateBuilder.Append("	if(value!='') window.location = 'thread-'+value+'." + extname.ToString() + "';\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("//选择或取消选反列表中全部记录\r\n");
	templateBuilder.Append("function checkall(form, prefix, checkall) {\r\n");
	templateBuilder.Append("	var checkall = checkall ? checkall : 'chkall';\r\n");
	templateBuilder.Append("	for(var i = 0; i < form.elements.length; i++) {\r\n");
	templateBuilder.Append("		var e = form.elements[i];\r\n");
	templateBuilder.Append("		if(e.name != checkall && (!prefix || (prefix && e.name.match(prefix)))) {\r\n");
	templateBuilder.Append("			e.checked = form.elements[checkall].checked;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("	}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	templateBuilder.Append("<meta content=\"MSHTML 6.00.6000.16939\" name=GENERATOR>\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"wrapA\" tag=\"guest\">\r\n");

	templateBuilder.Append("<div id=header>\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr>\r\n");
	templateBuilder.Append("      <td class=\"banner\">\r\n");
	templateBuilder.Append("      <script src=\"" + webpath.ToString() + "plugins/adplayer/adplayer.aspx?width=956&height=254&textheight=&textlength=&count=5&sortid=10&typeid=\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("      </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("  <table cellspacing=\"0\" cellpadding=\"0\" align=\"center\" width=\"100%\">\r\n");
	templateBuilder.Append("    <tr valign=\"top\">\r\n");
	templateBuilder.Append("      <td height=\"30\" background=\"templates/fangpage/images/nav.jpg\" style=\"padding-top:8px\">\r\n");
	templateBuilder.Append("      <table width=\"930\" border=\"0\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\">\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td>\r\n");
	templateBuilder.Append("              <table id=\"colortab\" width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" class=\"nav\">\r\n");
	templateBuilder.Append("                <tr align=\"center\">\r\n");
	templateBuilder.Append("                  <td width=\"70\"><a href=\"index.aspx\">首　页</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"instrview-12.aspx\">公司简介</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\" class=\"dropmenu\"><a href=\"software.aspx\" style=\"padding-top:7px;\" rel=\"dropmenu1_a\">方配软件</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"85\"><a href=\"thread-9.aspx\">最新动态</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"http://www.fangpage.com/read-44.aspx\" target=\"_blank\">方配短信通</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"thread-3-1-4.aspx\">模板中心</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"84\"><a href=\"http://www.fangpage.com/thread-9.aspx\" target=\"_blank\">帮助中心</a></td>\r\n");
	templateBuilder.Append("                  <td width=\"114\"><a href=\"thread-3.aspx\">Web软件资源库</a></td>\r\n");
	templateBuilder.Append("                  <td>&nbsp;</td>\r\n");
	templateBuilder.Append("                </tr>\r\n");
	templateBuilder.Append("              </table>\r\n");
	templateBuilder.Append("              <div id=\"dropmenu1_a\" class=\"dropmenudiv_a\">\r\n");
	templateBuilder.Append("              <a href=\"read-6.aspx\">方配网站服务器(FPWebServer)</a>\r\n");
	templateBuilder.Append("              <a href=\"read-2.aspx\">方配触摸屏浏览器(FPToucher)</a>\r\n");
	templateBuilder.Append("              <a href=\"read-44.aspx\">方配短信服务器(SMSServer)</a>\r\n");
	templateBuilder.Append("              <a href=\"upload/2011/12/31/62081799306540.gif\" target=\"_blank\">方配网站管理系统(WMS)</a>\r\n");
	templateBuilder.Append("              </div>\r\n");
	templateBuilder.Append("              <script type=\"text/javascript\">//SYNTAX: tabdropdown.init(\"menu_id\", [integer OR \"auto\"])\r\n");
	templateBuilder.Append("                 tabdropdown.init(\"colortab\", \"auto\")\r\n");
	templateBuilder.Append("              </" + "script>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td width=\"168\">&nbsp;\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </table>\r\n");
	templateBuilder.Append("        </td>\r\n");
	templateBuilder.Append("    </tr>\r\n");
	templateBuilder.Append("  </table>\r\n");
	templateBuilder.Append("  <div id=\"h_guide\">\r\n");
	templateBuilder.Append("    <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" style=\"width:100%\" class=\"guide\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td width=\"50%\" style=\"padding-left:5px;\"><span class=\"s3\">&raquo;</span>\r\n");

	if (userid>0)
	{

	templateBuilder.Append("          <span style=\"font-weight:bold\" class=\"s3\">" + username.ToString() + "</span>&nbsp;<a href=\"logout.aspx\">退出</a> | <a id=\"td_profile\" href=\"profile.aspx\">控制面板<img src=\"templates/fangpage/images/menu-down.gif\" /></a>\r\n");

	}
	else
	{

	templateBuilder.Append("          您尚未　<a href=\"login.aspx\">登录</a> &nbsp;<a href=\"register.aspx\"><b>注册</b></a>\r\n");

	}	//end if

	templateBuilder.Append("</td>\r\n");
	templateBuilder.Append("        <td align=\"right\"><span style=\"color:#000;\">在线技术支持：</span></td>\r\n");
	templateBuilder.Append("        <td  align=\"center\" width=\"74\"><a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" width=\"74\" height=\"22\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\"></a></td>\r\n");
	templateBuilder.Append("        <td align=\"right\" style=\"padding-right:5px;\" width=\"230\"><span style=\"color:#000;\">，QQ：12677206，电话：13481092810</span></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div id=\"menu_profile\" class=\"menu\" style=\"display:none;\">\r\n");
	templateBuilder.Append("    <table width=\"120\" cellspacing=\"1\" cellpadding=\"5\">\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <th class=\"h\">控制面板</th>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"profile.aspx\">用户中心</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"userprofile.aspx\">个人资料</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"mytopics.aspx\">我的主题</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"myposts.aspx\">我的帖子</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"mydigest.aspx\">我的精华</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("      <tr>\r\n");
	templateBuilder.Append("        <td valign=\"middle\"><a href=\"myfavor.aspx\">我的收藏</a></td>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("    </table>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");


	templateBuilder.Append("  <div id=\"main\">\r\n");

	if (page_err==0)
	{

	templateBuilder.Append("    <div class=t3 style=\"MARGIN: 8px auto\">\r\n");
	templateBuilder.Append("      <table cellspacing=0 cellpadding=0 width=\"100%\" align=center>\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td><strong class=\"fl w\"><img id=td_cate \r\n");
	templateBuilder.Append("      onmouseover=\"read.open('menu_cate','td_cate');\" style=\"CURSOR: pointer\" \r\n");
	templateBuilder.Append("      src=\"templates/fangpage/images/home_menu.gif\" align=absMiddle>  <a href=\"index.aspx\">\r\n");

	if (forumtitle!="")
	{

	templateBuilder.Append("" + forumtitle.ToString() + "\r\n");

	}
	else
	{

	templateBuilder.Append("论坛首页\r\n");

	}	//end if

	templateBuilder.Append("</a> » " + pagenav.ToString() + "\r\n");
	templateBuilder.Append("              </strong>\r\n");
	templateBuilder.Append("              <div class=\"fr w\"></div></td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");

	templateBuilder.Append("<div style=\"DISPLAY: none\" id=menu_cate class=menu>\r\n");
	templateBuilder.Append("  <div \r\n");
	templateBuilder.Append("    style=\"PADDING-BOTTOM: 5px; OVERFLOW-Y: auto; PADDING-LEFT: 5px; WIDTH: 200px; PADDING-RIGHT: 5px; HEIGHT: 420px; PADDING-TOP: 5px\">\r\n");
	templateBuilder.Append("    <ul class=\"ul1\">\r\n");
	templateBuilder.Append("      " + forummenulink.ToString() + "\r\n");
	templateBuilder.Append("    </ul>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");


	templateBuilder.Append("    <div class=c></div>\r\n");

	if (forum.Subsortcount>0)
	{

	templateBuilder.Append("    <div class=t>\r\n");
	templateBuilder.Append("      <table cellspacing=0 cellpadding=0 width=\"100%\">\r\n");
	templateBuilder.Append("        <tbody id=\"cate_1\" style=\"display:;\">\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td class=h colspan=6>&raquo; <b>" + forum.Name.ToString().Trim() + "</b>&nbsp;&nbsp;(<span style=\"FONT-SIZE: 12px;\">主题:" + subtotaltopic.ToString() + "篇 帖子:" + subtotalpost.ToString() + "个 今日帖子:" + subtodayposts.ToString() + "个</span>)</td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("          <tr class=tr2>\r\n");
	templateBuilder.Append("            <td width=\"*\" colspan=\"2\" class=\"tac\">论坛</td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\" >主题</td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style e\">帖子</td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style f\" >最后发布</td>\r\n");
	templateBuilder.Append("            <td class=\"y-style\" width=\"15%\">版主</td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	int subforum__loop__id=0;
	foreach(ForumInfo subforum in subforumlist)
	{
		subforum__loop__id++;

	templateBuilder.Append("          <tr class=\"tr3 f_one\">\r\n");
	templateBuilder.Append("            <td class=\"icon tac\" width=\"45\">\r\n");
	templateBuilder.Append("            <a href=\"thread-" + subforum.Fid.ToString().Trim() + ".aspx\" target=\"_blank\">\r\n");

	if (subforum.Img!="")
	{

	templateBuilder.Append("              <img id=\"img_1\" src=\"" + webpath.ToString() + "" + subforum.Img.ToString().Trim() + "\" width=\"26\" height=\"29\" border=\"0\" />\r\n");

	}
	else
	{

	templateBuilder.Append("                <img src=\"templates/fangpage/images/old.gif\" width=\"26\" height=\"29\" border=\"0\" />\r\n");

	}	//end if

	templateBuilder.Append("</a>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <th align=left>\r\n");
	templateBuilder.Append("              <h3><a class=\"fnamecolor a1\" \r\n");
	templateBuilder.Append("      href=\"thread-" + subforum.Fid.ToString().Trim() + ".aspx\"><b>" + subforum.Name.ToString().Trim() + "</b></a>&nbsp;&nbsp;<span class=\"f9 gray\">(<font color=#ff0000>" + subforum.Todayposts.ToString().Trim() + "</font>)</span></h3>\r\n");
	templateBuilder.Append("              <br>\r\n");
	templateBuilder.Append("              <span class=smalltxt>" + subforum.Description.ToString().Trim() + "</span></th>\r\n");
	templateBuilder.Append("            <td class=y-style style=\"WORD-BREAK: keep-all\" align=middle>" + subforum.Curtopics.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("            <td class=\"f10 y-style\">" + subforum.Posts.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("            <th class=\"smalltxt y-style\">\r\n");

	if (subforum.Lasttid>0)
	{

	templateBuilder.Append("            <a href=\"read-" + subforum.Lasttid.ToString().Trim() + ".aspx\" class=\"a2\">" + subforum.Lasttitle.ToString().Trim() + "</a><br />\r\n");
	templateBuilder.Append("              <a href=\"userview.aspx?uid=" + subforum.Lastposterid.ToString().Trim() + "\" class=\"a2\" target=\"_blank\">" + subforum.Lastposter.ToString().Trim() + "</a> <span class=\"f9 gray\">[" + subforum.Lastpost.ToString().Trim() + "]</span>\r\n");

	}	//end if

	templateBuilder.Append("            </th>\r\n");
	templateBuilder.Append("            <td class=\"y-style\" style=\"word-break: keep-all;word-wrap:no-wrap\">" + subforum.Moderators.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	}	//end loop

	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td class=f_one style=\"HEIGHT: 8px\" colspan=5></td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");

	}	//end if


	if (forum.Properties==0)
	{

	templateBuilder.Append("    <div class=t3>\r\n");
	templateBuilder.Append("      <table cellspacing=0 cellpadding=0 width=\"100%\" align=center>\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td valign=\"middle\" align=\"left\"><div class=fl>\r\n");
	templateBuilder.Append("                <div class=pages>" + pagenumbers.ToString() + " 页:\r\n");
	templateBuilder.Append("                  ( " + pageid.ToString() + "/" + pagecount.ToString() + " ) </div>\r\n");
	templateBuilder.Append("              </div></td>\r\n");
	templateBuilder.Append("            <td style=\"TEXT-ALIGN: right\">\r\n");

	if (canposttopic)
	{

	templateBuilder.Append("               <a href=\"post-" + fid.ToString() + ".aspx\"><img id=td_post \r\n");
	templateBuilder.Append("      src=\"templates/fangpage/images/post.gif\"></a>\r\n");

	}	//end if

	templateBuilder.Append("             </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <form id=\"moderate\" name=\"moderate\" method=\"post\" action=\"topicadmin.aspx?action=moderate&fid=" + fid.ToString() + "\">\r\n");
	templateBuilder.Append("    <div class=\"t z\" style=\"MARGIN: 3px auto\">\r\n");
	templateBuilder.Append("      <table id=ajaxtable cellspacing=0 cellpadding=0 width=\"100%\">\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <th class=h colspan=6> <div class=fr><a class=\"a2 fn\" \r\n");
	templateBuilder.Append("      href=\"thread-" + fid.ToString() + ".aspx\">全部</a> <a class=\"a2 fn\" \r\n");
	templateBuilder.Append("      href=\"thread-" + fid.ToString() + "-1-" + typeid.ToString() + "-digest.aspx\">精华</a> \r\n");

	int topictypes__loop__id=0;
	foreach(TypeInfo topictypes in topictypelist)
	{
		topictypes__loop__id++;

	templateBuilder.Append("        <a class=\"a2 fn\" href=\"thread-" + fid.ToString() + "-1-" + topictypes.Id.ToString().Trim() + ".aspx\">" + topictypes.Typename.ToString().Trim() + "</a>\r\n");

	}	//end loop

	templateBuilder.Append("      </div>\r\n");
	templateBuilder.Append("      <a class=fl href=\"thread-" + fid.ToString() + ".aspx\">" + forum.Name.ToString().Trim() + "</a><span style=\"FONT-SIZE: 12px;\">&nbsp;&nbsp;(主题:" + forum.Curtopics.ToString().Trim() + "篇 帖子:" + forum.Posts.ToString().Trim() + "个 今日帖子:" + forum.Todayposts.ToString().Trim() + "个)</span>\r\n");
	templateBuilder.Append(" </th>\r\n");
	templateBuilder.Append("      </tr>\r\n");
	templateBuilder.Append("        <tbody style=\"TABLE-LAYOUT: fixed\">\r\n");
	templateBuilder.Append("          <tr></tr>\r\n");
	templateBuilder.Append("          <tr class=tr2>\r\n");
	templateBuilder.Append("            <td class=\"tac y-style\">状态</td>\r\n");
	templateBuilder.Append("            <td class=tac style=\"WIDTH: 50%\">标题</td>\r\n");
	templateBuilder.Append("            <td class=y-style style=\"WIDTH: 18%\">作者/时间</td>\r\n");
	templateBuilder.Append("            <td class=y-style style=\"WIDTH: 10%\">回复/查看</td>\r\n");
	templateBuilder.Append("            <td class=y-style style=\"WIDTH: 17%\">最后发表</td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	int toptopic__loop__id=0;
	foreach(ShowTopicInfo toptopic in toptopiclist)
	{
		toptopic__loop__id++;

	templateBuilder.Append("          <tr class=\"tr3 t_one\" align=middle>\r\n");
	templateBuilder.Append("            <td align=\"center\"><a title=\"打开新窗口\" href=\"read-" + toptopic.Tid.ToString().Trim() + ".aspx\" target=_blank><img src=\"templates/fangpage/images/t_top3.gif\" border=0></a></td>\r\n");
	templateBuilder.Append("            <td id=td_" + toptopic.Tid.ToString().Trim() + " style=\"PADDING-LEFT: 8px; TEXT-ALIGN: left\">\r\n");

	if (toptopic.Typeid!=0)
	{

	templateBuilder.Append("            <a href=\"thread-" + fid.ToString() + "-1-" + toptopic.Typeid.ToString().Trim() + ".aspx\">[" + toptopic.Topictypename.ToString().Trim() + "]</a>\r\n");

	}	//end if

	templateBuilder.Append("              <h3>\r\n");

	if (ismoder==1)
	{

	templateBuilder.Append("				    <input type=\"checkbox\" name=\"tid\" value=\"" + toptopic.Tid.ToString().Trim() + "\" />\r\n");

	}
	else
	{

	templateBuilder.Append("					<input type=\"checkbox\" disabled />\r\n");

	}	//end if

	templateBuilder.Append("                  <a id=\"a_ajax_" + toptopic.Tid.ToString().Trim() + "\" href=\"read-" + toptopic.Tid.ToString().Trim() + ".aspx\">" + toptopic.Title.ToString().Trim() + "</a>\r\n");

	if (toptopic.Digest>0)
	{

	templateBuilder.Append("					 <img src=\"templates/fangpage/images/digest" + toptopic.Digest.ToString().Trim() + ".gif\" alt=\"精华帖\" align=\"absmiddle\"/>\r\n");

	}	//end if

	templateBuilder.Append("                  </h3>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style\">\r\n");

	if (toptopic.Posterid==-1)
	{

	templateBuilder.Append("              游客\r\n");

	}
	else
	{

	templateBuilder.Append("              <a class=\"bl\" href=\"userview-" + toptopic.Posterid.ToString().Trim() + ".aspx\" target=\"_blank\">" + toptopic.Poster.ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("<br><span class=\"f9 gray\">[" + Utils.GetDate(toptopic.Postdatetime,"yyyy-MM-dd HH:mm:ss") + "]</span>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td class=\"tal f10 y-style\">" + toptopic.Replies.ToString().Trim() + "/" + toptopic.Views.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style\">\r\n");

	if (toptopic.Replies>0)
	{


	if (toptopic.Lastposterid==-1)
	{

	templateBuilder.Append("                 游客\r\n");

	}
	else
	{

	templateBuilder.Append("                <a class=\"f10\" href=\"userview-" + toptopic.Lastposterid.ToString().Trim() + ".aspx\" target=\"_blank\">" + toptopic.Lastposter.ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("                <a href=\"read-" + toptopic.Tid.ToString().Trim() + "-end.aspx\"><img src=\"templates/fangpage/images/writer2.gif\" border=\"0\" alt=\"发布者\" align=\"absmiddle\"/></a>\r\n");
	templateBuilder.Append("                <br><span class=\"f9 gray\">[" + Utils.GetDate(toptopic.Lastpost,"yyyy-MM-dd HH:mm:ss") + "]</span>\r\n");

	}	//end if

	templateBuilder.Append("             </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	}	//end loop

	templateBuilder.Append("          <tr class=tr2>\r\n");
	templateBuilder.Append("            <td class=tac style=\"BORDER-TOP-WIDTH: 0px\" colspan=5>普通主题</td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	int topic__loop__id=0;
	foreach(ShowTopicInfo topic in topiclist)
	{
		topic__loop__id++;

	templateBuilder.Append("          <tr class=\"tr3 t_one\" align=middle>\r\n");
	templateBuilder.Append("            <td align=\"center\"><a title=\"打开新窗口\" href=\"read-" + topic.Tid.ToString().Trim() + ".aspx\" \r\n");
	templateBuilder.Append("      target=_blank><img src=\"templates/fangpage/images/folder_old.gif\" \r\n");
	templateBuilder.Append("      border=0></a></td>\r\n");
	templateBuilder.Append("            <td id=td_159263 style=\"PADDING-LEFT: 8px; TEXT-ALIGN: left\">\r\n");

	if (ismoder==1)
	{

	templateBuilder.Append("			   <input type=\"checkbox\" name=\"tid\" value=\"" + topic.Tid.ToString().Trim() + "\" />\r\n");

	}	//end if


	if (topic.Typeid!=0)
	{

	templateBuilder.Append("                <a href=\"thread-" + fid.ToString() + "-1-" + topic.Typeid.ToString().Trim() + ".aspx\">[" + topic.Topictypename.ToString().Trim() + "]</a>\r\n");

	}	//end if

	templateBuilder.Append("              <h3><a id=\"a_ajax_" + topic.Tid.ToString().Trim() + "\" href=\"read-" + topic.Tid.ToString().Trim() + ".aspx\">" + topic.Title.ToString().Trim() + "</a>\r\n");

	if (topic.Digest>0)
	{

	templateBuilder.Append("					 <img src=\"templates/fangpage/images/digest" + topic.Digest.ToString().Trim() + ".gif\" alt=\"精华帖\" align=\"absmiddle\"/>\r\n");

	}	//end if

	templateBuilder.Append("              </h3>\r\n");
	templateBuilder.Append("              </td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style\">\r\n");

	if (topic.Posterid==-1)
	{

	templateBuilder.Append("              游客\r\n");

	}
	else
	{

	templateBuilder.Append("              <a class=\"bl\" href=\"userview-" + topic.Posterid.ToString().Trim() + ".aspx\" target=\"_blank\">" + topic.Poster.ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("            <br><span class=\"f9 gray\">[" + Utils.GetDate(topic.Postdatetime,"yyyy-MM-dd HH:mm:ss") + "]</span>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td class=\"tal f10 y-style\">" + topic.Replies.ToString().Trim() + "/" + topic.Views.ToString().Trim() + "</td>\r\n");
	templateBuilder.Append("            <td class=\"tal y-style\">\r\n");

	if (topic.Replies>0)
	{


	if (topic.Lastposterid==-1)
	{

	templateBuilder.Append("                 游客\r\n");

	}
	else
	{

	templateBuilder.Append("                <a class=\"f10\" href=\"userview-" + topic.Lastposterid.ToString().Trim() + ".aspx\" target=\"_blank\">" + topic.Lastposter.ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("               <a href=\"read-" + topic.Tid.ToString().Trim() + "-end.aspx\"><img src=\"templates/fangpage/images/writer2.gif\" border=\"0\" alt=\"发布者\" align=\"absmiddle\"/></a>\r\n");
	templateBuilder.Append("               <br><span class=\"f9 gray\">[" + Utils.GetDate(topic.Lastpost,"yyyy-MM-dd HH:mm:ss") + "]</span> \r\n");

	}	//end if

	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");

	}	//end loop

	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td class=f_one style=\"HEIGHT: 8px\" colspan=6></td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");

	if (ismoder==1)
	{

	templateBuilder.Append("    <div class=t>\r\n");
	templateBuilder.Append("      <table class=f_two \r\n");
	templateBuilder.Append("style=\"PADDING-RIGHT: 5px; PADDING-LEFT: 5px; MARGIN-BOTTOM: 2px; PADDING-BOTTOM: 5px; PADDING-TOP: 5px\" \r\n");
	templateBuilder.Append("cellspacing=0 cellpadding=0 width=\"100%\" align=center>\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td>\r\n");
	templateBuilder.Append("            <strong>批量管理选项</strong>\r\n");
	templateBuilder.Append("              <input class=\"radio\" name=\"operat\" type=\"hidden\" />\r\n");
	templateBuilder.Append("			  <input class=\"checkbox\" name=\"chkall\" onClick=\"checkall(this.form, 'tid')\" type=\"checkbox\" />全选\r\n");
	templateBuilder.Append("              <input class=\"btn\" onClick=\"document.moderate.operat.value = 'delete';document.moderate.submit()\" value=\"删除主题\" type=\"button\" /> \r\n");
	templateBuilder.Append("              <input class=\"btn\" onClick=\"document.moderate.operat.value = 'move';document.moderate.submit()\" value=\"移动主题\" type=\"button\" />\r\n");
	templateBuilder.Append("               <input class=\"btn\" onClick=\"document.moderate.operat.value = 'type';document.moderate.submit()\" value=\"主题分类\" type=\"button\" />\r\n");
	templateBuilder.Append("               <input class=\"btn\" onClick=\"document.moderate.operat.value = 'highlight';document.moderate.submit()\" value=\"高亮显示\" type=\"button\" />\r\n");
	templateBuilder.Append("                <input class=\"btn\" onClick=\"document.moderate.operat.value = 'digest';document.moderate.submit()\" value=\"设置精华\" type=\"button\" />\r\n");
	templateBuilder.Append("                <input class=\"btn\" onClick=\"document.moderate.operat.value = 'identify';document.moderate.submit()\" value=\"主题鉴定\" type=\"button\" />\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");

	}	//end if

	templateBuilder.Append("    </form>\r\n");
	templateBuilder.Append("    <div class=t>\r\n");
	templateBuilder.Append("      <table class=f_two \r\n");
	templateBuilder.Append("style=\"PADDING-RIGHT: 5px; PADDING-LEFT: 5px; MARGIN-BOTTOM: 2px; PADDING-BOTTOM: 5px; PADDING-TOP: 5px\" \r\n");
	templateBuilder.Append("cellspacing=0 cellpadding=0 width=\"100%\" align=center>\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr>\r\n");
	templateBuilder.Append("            <td>\r\n");
	templateBuilder.Append("            <form action=\"thread-" + fid.ToString() + "-1.aspx\" method=\"post\">\r\n");
	templateBuilder.Append("              <select name=\"search\">\r\n");
	templateBuilder.Append("                <option value=\"\" \r\n");

	if (search=="")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >全部主题</option>\r\n");
	templateBuilder.Append("                <option value=\"digest\" \r\n");

	if (search=="digest")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >本版精华区</option>\r\n");
	templateBuilder.Append("                <option value=\"1\" \r\n");

	if (search=="1")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >1天内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"2\" \r\n");

	if (search=="2")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >2天内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"7\" \r\n");

	if (search=="7")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >1周内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"30\" \r\n");

	if (search=="30")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >1个月内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"60\" \r\n");

	if (search=="60")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >2个月内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"90\" \r\n");

	if (search=="90")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >3个月内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"180\" \r\n");

	if (search=="180")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >6个月内的主题</option>\r\n");
	templateBuilder.Append("                <option value=\"365\" \r\n");

	if (search=="365")
	{

	templateBuilder.Append("selected\r\n");

	}	//end if

	templateBuilder.Append(" >1年内的主题</option>\r\n");
	templateBuilder.Append("              </select>\r\n");
	templateBuilder.Append("              <input class=\"btn\" onclick=this.form.submit(); type=button value=\"提 交\">\r\n");
	templateBuilder.Append("            </form>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("            <td align=right>\r\n");
	templateBuilder.Append("            <form name=\"jump\" method=post>\r\n");
	templateBuilder.Append("              <select name=\"select\" onchange=Fjump(this.options[this.selectedIndex].value)>\r\n");
	templateBuilder.Append("                <option value=\"\" selected>快速跳至</option>\r\n");
	templateBuilder.Append("                 " + forumselectlink.ToString() + "\r\n");
	templateBuilder.Append("              </select>\r\n");
	templateBuilder.Append("            </form>\r\n");
	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div class=t3>\r\n");
	templateBuilder.Append("      <table cellspacing=0 cellpadding=0 width=\"100%\" align=center>\r\n");
	templateBuilder.Append("        <tbody>\r\n");
	templateBuilder.Append("          <tr valign=center>\r\n");
	templateBuilder.Append("            <td valign=\"middle\" align=\"left\" ><div class=fl><div class=pages>" + pagenumbers.ToString() + " 页:\r\n");
	templateBuilder.Append("                ( " + pageid.ToString() + "/" + pagecount.ToString() + " ) </div></div></td>\r\n");
	templateBuilder.Append("            <td style=\"PADDING-BOTTOM: 0.2em\" align=right>\r\n");

	if (canposttopic)
	{

	templateBuilder.Append("            <a href=\"post-" + fid.ToString() + ".aspx\"><img id=td_post1 \r\n");
	templateBuilder.Append("      src=\"templates/fangpage/images/post.gif\"></a>\r\n");

	}	//end if

	templateBuilder.Append("            </td>\r\n");
	templateBuilder.Append("          </tr>\r\n");
	templateBuilder.Append("        </tbody>\r\n");
	templateBuilder.Append("      </table>\r\n");
	templateBuilder.Append("    </div>\r\n");

	}	//end if

	templateBuilder.Append("    <center>\r\n");
	templateBuilder.Append("      <img src=\"templates/fangpage/images/folder_old.gif\"> 开放主题 <img \r\n");
	templateBuilder.Append("src=\"templates/fangpage/images/folder_newhot.gif\"> 热门主题 <img \r\n");
	templateBuilder.Append("src=\"templates/fangpage/images/folder_closed.gif\"> 锁定主题 <img \r\n");
	templateBuilder.Append("src=\"templates/fangpage/images/folder_move.gif\"> 跳转的主题\r\n");
	templateBuilder.Append("    </center>\r\n");

	}
	else
	{


	templateBuilder.Append("<div class=\"msgbox\">\r\n");
	templateBuilder.Append("    <div class=\"h\">\r\n");
	templateBuilder.Append("		<b>出现了" + page_err.ToString() + "个错误</b>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("    <div class=\"errmsgbox\">\r\n");
	templateBuilder.Append("        " + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("        <p class=\"errorback\">\r\n");

	if (msgbox_showbacklink)
	{

	templateBuilder.Append("			<script language=\"javascript\">\r\n");
	templateBuilder.Append("               document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a>&nbsp; &nbsp;|&nbsp; &nbsp\");\r\n");
	templateBuilder.Append("            </" + "script>\r\n");

	}	//end if

	templateBuilder.Append("            <a href=\"index." + extname.ToString() + "\">论坛首页</a>\r\n");

	if (roleid==4)
	{

	templateBuilder.Append("             &nbsp;&nbsp;|&nbsp;&nbsp;<a href=\"register." + extname.ToString() + "\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("        </p>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if

	templateBuilder.Append("    <br>\r\n");
	templateBuilder.Append("  </div>\r\n");

	templateBuilder.Append("<div id=\"bottom\"></div>\r\n");
	templateBuilder.Append("<br />\r\n");
	templateBuilder.Append("<center class=\"gray\">\r\n");
	templateBuilder.Append("  <p> Copyright© 2009-" + Utils.GetDate(nowdatetime,"yyyy") + " FangPage.Com All Rights Reserved. " + config.Company.ToString().Trim() + " 版权所有<br /><br />\r\n");
	templateBuilder.Append("    在线技术支持：<a target=\"_blank\" href=\"http://wpa.qq.com/msgrd?v=3&uin=12677206&site=qq&menu=yes\"><img border=\"0\" src=\"http://wpa.qq.com/pa?p=2:12677206:41\" width=\"74\" height=\"22\" alt=\"点击这里给我发消息\" title=\"点击这里给我发消息\" align=\"absmiddle\"></a>，QQ：12677206，电话：13481092810，欢迎加入群：17672212<br /><br />\r\n");
	templateBuilder.Append("    本站基于方配网站服务器(FPWebServer)搭建的Demo站点，<a href=\"http://webscan.360.cn\" name=\"36f3c523471164d261b49a5d5ad39228\" target=\"_blank\">360网站安全检测</a>，\r\n");
	templateBuilder.Append("<script src=\"http://s14.cnzz.com/stat.php?id=3381972&web_id=3381972&show=pic\" language=\"javascript\"></" + "script>\r\n");
	templateBuilder.Append("  <script src=\"" + webpath.ToString() + "plugins/counter/counter.aspx?sortid=" + BMSRequest.GetString("fid") + "\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("<div style=\"display:none\">\r\n");
	templateBuilder.Append("<script src=\"http://www.fangpage.com/software/wms/stat.aspx?ver=" + bmsver.ToString() + "&domain=" + domain.ToString() + "&action=index\" type=\"text/javascript\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</p>\r\n");
	templateBuilder.Append("</center>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"templates/fangpage/js/global.js\"></" + "script>\r\n");
	templateBuilder.Append("<script language=\"javascript\">\r\n");
	templateBuilder.Append("var openmenu = {'td_profile' : 'menu_profile'};\r\n");
	templateBuilder.Append("read.InitMenu();\r\n");
	templateBuilder.Append("</" + "script>\r\n");
	string jsurl = "js";
	
	templateBuilder.Append("<script type=\"text/javascript\" id=\"bdshare_js\" data=\"type=slide&img=0\" ></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" id=\"bdshell_js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("		var bds_config = {\"bdTop\":200};\r\n");
	templateBuilder.Append("		document.getElementById(\"bdshell_js\").src = \"http://share.baidu.com/static/" + jsurl.ToString() + "/shell_v2.js?t=\" + new Date().getHours();\r\n");
	templateBuilder.Append("</" + "script>\r\n");


	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");

	Response.Write(templateBuilder.ToString());
}
</script>
